commit:     d95575a928740be6f1affbafc3dc3761e20b24c2
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  6 05:06:48 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Fri Apr  6 05:06:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d95575a9

x11-misc/menulibre: Version 2.2.0.

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 x11-misc/menulibre/Manifest               |  1 +
 x11-misc/menulibre/menulibre-2.2.0.ebuild | 69 +++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/x11-misc/menulibre/Manifest b/x11-misc/menulibre/Manifest
index 0198eb42ef9..44d04a06343 100644
--- a/x11-misc/menulibre/Manifest
+++ b/x11-misc/menulibre/Manifest
@@ -1,3 +1,4 @@
 DIST menulibre-2.1.3.tar.gz 231336 BLAKE2B 
f15f962b41071f40cebdaa3fbab082932f1acad30026b89bb2b4672a860b4f7cc3caa668eadee48195a091783b6a8d5558ca44ed05034640247cad02394d3b93
 SHA512 
0a9040bcb311fe993238e5d1fc459db2400466c538c729ecd5bf2ff20cf9c7300ef2543c56ae4ef7cfa44cd66768ee9a9001ab997fd2507d8d74a246b2029c7a
 DIST menulibre-2.1.4.tar.gz 414546 BLAKE2B 
4c6420e6559415dd4be6aee37af43f820f85bb5d98ce4c3b475d977c1511d4ad30f1fb3db8aff94569a3dc0afa4d75887bed8247cd8d48c673bcb106cfa11b52
 SHA512 
48322d7187d77a63253ee5d8d269b473e36bab4d02f1442b8e4c66070d372e3eba4247b923932688640092e16d51ea41bef42571694980099c279a3526b9e56a
 DIST menulibre-2.1.5.tar.gz 443986 BLAKE2B 
5397e1f9d4371c017c8d2358e65bdad58b0ac10765f00fa51b2b20d9e404f19229da00719c6cb209020e5894708882d42adb30f4668e82929e0d1904ca7d3cf5
 SHA512 
d1bcd055d7f5c77df02470b4b6362ea5af8a6f4dd41f217c73673b63f413c3edca0ae18ccb6cff179a514ee0218613c3201e7687ec36de34436556b8a60a0856
+DIST menulibre-2.2.0.tar.gz 430567 BLAKE2B 
7910f9f8e23b2ca3254b5a83a7c16315620bec38ff458a2fe3f65328b8b08ba424d853abb1fdb7334fd2b38da54b632a8d5b178a7cf876873d52c1903adcdab2
 SHA512 
d08d61fee3c5a9716581716c116d5b82c3221dff24093c765f6ad72d9dc17fde40ebdd2f17bcee7952b22bc4c78bdf1057cbc57af3c4651dfa6dc01cbd3ecbeb

diff --git a/x11-misc/menulibre/menulibre-2.2.0.ebuild 
b/x11-misc/menulibre/menulibre-2.2.0.ebuild
new file mode 100644
index 00000000000..b66386de4eb
--- /dev/null
+++ b/x11-misc/menulibre/menulibre-2.2.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+PYTHON_REQ_USE="xml"
+DISTUTILS_IN_SOURCE_BUILD=1
+inherit distutils-r1 eutils gnome2-utils versionator
+
+DESCRIPTION="Advanced freedesktop.org compliant menu editor"
+HOMEPAGE="https://bluesabre.org/projects/menulibre/";
+SRC_URI="https://launchpad.net/${PN}/$(get_version_component_range 
1-2)/${PV}/+download/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+       dev-python/python-distutils-extra[${PYTHON_USEDEP}]
+"
+RDEPEND="
+       dev-libs/gobject-introspection
+       dev-python/psutil[${PYTHON_USEDEP}]
+       dev-python/pygobject:3[${PYTHON_USEDEP}]
+       dev-python/pyxdg[${PYTHON_USEDEP}]
+       gnome-base/gnome-menus[introspection]
+       x11-libs/gdk-pixbuf[X,introspection]
+       x11-libs/gtk+:3[X,introspection]
+       x11-libs/gtksourceview:3.0[introspection]
+       x11-themes/hicolor-icon-theme
+"
+
+python_prepare_all() {
+       # too many categories
+       sed -i \
+               -e 
's/X-GNOME-Settings-Panel;X-GNOME-PersonalSettings;DesktopSettings;X-XFCE;//' \
+               -e '/^OnlyShowIn/d' \
+               menulibre.desktop.in || die
+
+       local i
+       # fix incorrect behavior when LINGUAS is set to an empty string
+       # https://bugs.launchpad.net/python-distutils-extra/+bug/1133594
+       if [[ -n "${LINGUAS+x}" ]] ; then # if LINGUAS is set
+               for i in $(cd "${S}"/po ; for p in *.po ; do echo ${p%.po} ; 
done) ; do # for every supported language
+                       if ! has ${i} ${LINGUAS} ; then # if language is 
disabled
+                               rm po/${i}.po || die
+                       fi
+               done
+       fi
+
+       distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+}
+
+pkg_preinst() {
+       gnome2_icon_savelist
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to